/*

  Q Light Controller Plus
  vcsliderproperties.ui

  Copyright (c) 2015 Massimo Callegari

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0.txt

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 
*/

/********************************************************************************
** Form generated from reading UI file 'vcsliderproperties.ui'
**
** Created by: Qt User Interface Compiler version 6.8.2
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_VCSLIDERPROPERTIES_H
#define UI_VCSLIDERPROPERTIES_H

#include <QtCore/QVariant>
#include <QtGui/QIcon>
#include <QtWidgets/QAbstractButton>
#include <QtWidgets/QApplication>
#include <QtWidgets/QCheckBox>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QFrame>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QLineEdit>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QRadioButton>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QTabWidget>
#include <QtWidgets/QToolButton>
#include <QtWidgets/QTreeWidget>
#include <QtWidgets/QVBoxLayout>
#include <QtWidgets/QWidget>

QT_BEGIN_NAMESPACE

class Ui_VCSliderProperties
{
public:
    QVBoxLayout *vboxLayout;
    QTabWidget *tabWidget;
    QWidget *General;
    QGridLayout *gridLayout_2;
    QFrame *frame;
    QVBoxLayout *verticalLayout_14;
    QVBoxLayout *m_extControlLayout;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout_6;
    QRadioButton *m_widgetSliderRadio;
    QRadioButton *m_widgetKnobRadio;
    QCheckBox *m_catchValueCheck;
    QHBoxLayout *hboxLayout;
    QLabel *m_nameLabel;
    QLineEdit *m_nameEdit;
    QGroupBox *m_sliderMovementGroup;
    QHBoxLayout *horizontalLayout_3;
    QRadioButton *m_sliderMovementNormalRadio;
    QRadioButton *m_sliderMovementInvertedRadio;
    QGroupBox *m_valueGroup;
    QHBoxLayout *horizontalLayout_2;
    QRadioButton *m_valueExactRadio;
    QRadioButton *m_valuePercentageRadio;
    QSpacerItem *spacerItem;
    QWidget *Level;
    QVBoxLayout *verticalLayout_2;
    QGroupBox *m_levelValueRangeGroup;
    QHBoxLayout *hboxLayout1;
    QLabel *m_levelLowLimitLabel;
    QSpinBox *m_levelLowLimitSpin;
    QLabel *m_levelHighLimitLabel;
    QSpinBox *m_levelHighLimitSpin;
    QSpacerItem *spacerItem1;
    QPushButton *m_levelCapabilityButton;
    QTreeWidget *m_levelList;
    QHBoxLayout *hboxLayout2;
    QPushButton *m_levelAllButton;
    QPushButton *m_levelNoneButton;
    QPushButton *m_levelInvertButton;
    QSpacerItem *spacerItem2;
    QPushButton *m_levelByGroupButton;
    QGroupBox *m_clickngoGroup;
    QHBoxLayout *horizontalLayout_4;
    QRadioButton *m_cngNoneCheck;
    QRadioButton *m_cngColorCheck;
    QRadioButton *m_cngRGBCheck;
    QRadioButton *m_cngCMYCheck;
    QRadioButton *m_cngPresetCheck;
    QCheckBox *m_monitorValuesCheck;
    QVBoxLayout *m_monitorResetControl;
    QPushButton *m_switchToLevelModeButton;
    QWidget *Playback;
    QVBoxLayout *verticalLayout;
    QGroupBox *m_playbackFunctionGroup;
    QHBoxLayout *horizontalLayout;
    QLineEdit *m_playbackFunctionEdit;
    QToolButton *m_attachPlaybackFunctionButton;
    QToolButton *m_detachPlaybackFunctionButton;
    QCheckBox *m_flashButtonCheck;
    QVBoxLayout *m_flashButtonLayout;
    QSpacerItem *m_playbackSpacer;
    QPushButton *m_switchToPlaybackModeButton;
    QWidget *tab;
    QVBoxLayout *verticalLayout_3;
    QLabel *m_submasterInfo;
    QSpacerItem *m_submasterSpacer;
    QPushButton *m_switchToSubmasterModeButton;
    QDialogButtonBox *m_buttonBox;

    void setupUi(QDialog *VCSliderProperties)
    {
        if (VCSliderProperties->objectName().isEmpty())
            VCSliderProperties->setObjectName("VCSliderProperties");
        VCSliderProperties->resize(549, 594);
        vboxLayout = new QVBoxLayout(VCSliderProperties);
        vboxLayout->setObjectName("vboxLayout");
        tabWidget = new QTabWidget(VCSliderProperties);
        tabWidget->setObjectName("tabWidget");
        General = new QWidget();
        General->setObjectName("General");
        gridLayout_2 = new QGridLayout(General);
        gridLayout_2->setObjectName("gridLayout_2");
        frame = new QFrame(General);
        frame->setObjectName("frame");
        frame->setFrameShape(QFrame::NoFrame);
        frame->setFrameShadow(QFrame::Raised);
        verticalLayout_14 = new QVBoxLayout(frame);
        verticalLayout_14->setObjectName("verticalLayout_14");
        verticalLayout_14->setContentsMargins(0, 0, 0, 0);
        m_extControlLayout = new QVBoxLayout();
        m_extControlLayout->setObjectName("m_extControlLayout");

        verticalLayout_14->addLayout(m_extControlLayout);


        gridLayout_2->addWidget(frame, 5, 0, 1, 2);

        groupBox = new QGroupBox(General);
        groupBox->setObjectName("groupBox");
        horizontalLayout_6 = new QHBoxLayout(groupBox);
        horizontalLayout_6->setObjectName("horizontalLayout_6");
        m_widgetSliderRadio = new QRadioButton(groupBox);
        m_widgetSliderRadio->setObjectName("m_widgetSliderRadio");
        QIcon icon;
        icon.addFile(QString::fromUtf8(":/slider.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_widgetSliderRadio->setIcon(icon);
        m_widgetSliderRadio->setIconSize(QSize(32, 32));

        horizontalLayout_6->addWidget(m_widgetSliderRadio);

        m_widgetKnobRadio = new QRadioButton(groupBox);
        m_widgetKnobRadio->setObjectName("m_widgetKnobRadio");
        QIcon icon1;
        icon1.addFile(QString::fromUtf8(":/knob.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_widgetKnobRadio->setIcon(icon1);
        m_widgetKnobRadio->setIconSize(QSize(32, 32));

        horizontalLayout_6->addWidget(m_widgetKnobRadio);


        gridLayout_2->addWidget(groupBox, 1, 0, 1, 2);

        m_catchValueCheck = new QCheckBox(General);
        m_catchValueCheck->setObjectName("m_catchValueCheck");

        gridLayout_2->addWidget(m_catchValueCheck, 4, 0, 1, 2);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setObjectName("hboxLayout");
        m_nameLabel = new QLabel(General);
        m_nameLabel->setObjectName("m_nameLabel");

        hboxLayout->addWidget(m_nameLabel);

        m_nameEdit = new QLineEdit(General);
        m_nameEdit->setObjectName("m_nameEdit");

        hboxLayout->addWidget(m_nameEdit);


        gridLayout_2->addLayout(hboxLayout, 0, 0, 1, 2);

        m_sliderMovementGroup = new QGroupBox(General);
        m_sliderMovementGroup->setObjectName("m_sliderMovementGroup");
        horizontalLayout_3 = new QHBoxLayout(m_sliderMovementGroup);
        horizontalLayout_3->setObjectName("horizontalLayout_3");
        m_sliderMovementNormalRadio = new QRadioButton(m_sliderMovementGroup);
        m_sliderMovementNormalRadio->setObjectName("m_sliderMovementNormalRadio");
        m_sliderMovementNormalRadio->setChecked(true);

        horizontalLayout_3->addWidget(m_sliderMovementNormalRadio);

        m_sliderMovementInvertedRadio = new QRadioButton(m_sliderMovementGroup);
        m_sliderMovementInvertedRadio->setObjectName("m_sliderMovementInvertedRadio");

        horizontalLayout_3->addWidget(m_sliderMovementInvertedRadio);


        gridLayout_2->addWidget(m_sliderMovementGroup, 3, 1, 1, 1);

        m_valueGroup = new QGroupBox(General);
        m_valueGroup->setObjectName("m_valueGroup");
        horizontalLayout_2 = new QHBoxLayout(m_valueGroup);
        horizontalLayout_2->setObjectName("horizontalLayout_2");
        m_valueExactRadio = new QRadioButton(m_valueGroup);
        m_valueExactRadio->setObjectName("m_valueExactRadio");
        m_valueExactRadio->setChecked(true);

        horizontalLayout_2->addWidget(m_valueExactRadio);

        m_valuePercentageRadio = new QRadioButton(m_valueGroup);
        m_valuePercentageRadio->setObjectName("m_valuePercentageRadio");

        horizontalLayout_2->addWidget(m_valuePercentageRadio);


        gridLayout_2->addWidget(m_valueGroup, 3, 0, 1, 1);

        spacerItem = new QSpacerItem(20, 40, QSizePolicy::Policy::Minimum, QSizePolicy::Policy::Expanding);

        gridLayout_2->addItem(spacerItem, 6, 0, 1, 2);

        tabWidget->addTab(General, QString());
        Level = new QWidget();
        Level->setObjectName("Level");
        verticalLayout_2 = new QVBoxLayout(Level);
        verticalLayout_2->setObjectName("verticalLayout_2");
        m_levelValueRangeGroup = new QGroupBox(Level);
        m_levelValueRangeGroup->setObjectName("m_levelValueRangeGroup");
        hboxLayout1 = new QHBoxLayout(m_levelValueRangeGroup);
        hboxLayout1->setObjectName("hboxLayout1");
        m_levelLowLimitLabel = new QLabel(m_levelValueRangeGroup);
        m_levelLowLimitLabel->setObjectName("m_levelLowLimitLabel");

        hboxLayout1->addWidget(m_levelLowLimitLabel);

        m_levelLowLimitSpin = new QSpinBox(m_levelValueRangeGroup);
        m_levelLowLimitSpin->setObjectName("m_levelLowLimitSpin");
        m_levelLowLimitSpin->setMaximum(255);

        hboxLayout1->addWidget(m_levelLowLimitSpin);

        m_levelHighLimitLabel = new QLabel(m_levelValueRangeGroup);
        m_levelHighLimitLabel->setObjectName("m_levelHighLimitLabel");

        hboxLayout1->addWidget(m_levelHighLimitLabel);

        m_levelHighLimitSpin = new QSpinBox(m_levelValueRangeGroup);
        m_levelHighLimitSpin->setObjectName("m_levelHighLimitSpin");
        m_levelHighLimitSpin->setMaximum(255);
        m_levelHighLimitSpin->setValue(255);

        hboxLayout1->addWidget(m_levelHighLimitSpin);

        spacerItem1 = new QSpacerItem(40, 0, QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Minimum);

        hboxLayout1->addItem(spacerItem1);

        m_levelCapabilityButton = new QPushButton(m_levelValueRangeGroup);
        m_levelCapabilityButton->setObjectName("m_levelCapabilityButton");
        m_levelCapabilityButton->setEnabled(false);

        hboxLayout1->addWidget(m_levelCapabilityButton);


        verticalLayout_2->addWidget(m_levelValueRangeGroup);

        m_levelList = new QTreeWidget(Level);
        m_levelList->setObjectName("m_levelList");
        QSizePolicy sizePolicy(QSizePolicy::Policy::Expanding, QSizePolicy::Policy::MinimumExpanding);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(m_levelList->sizePolicy().hasHeightForWidth());
        m_levelList->setSizePolicy(sizePolicy);
        m_levelList->setAlternatingRowColors(true);
        m_levelList->setSelectionMode(QAbstractItemView::SingleSelection);
        m_levelList->setAllColumnsShowFocus(true);

        verticalLayout_2->addWidget(m_levelList);

        hboxLayout2 = new QHBoxLayout();
        hboxLayout2->setObjectName("hboxLayout2");
        m_levelAllButton = new QPushButton(Level);
        m_levelAllButton->setObjectName("m_levelAllButton");

        hboxLayout2->addWidget(m_levelAllButton);

        m_levelNoneButton = new QPushButton(Level);
        m_levelNoneButton->setObjectName("m_levelNoneButton");

        hboxLayout2->addWidget(m_levelNoneButton);

        m_levelInvertButton = new QPushButton(Level);
        m_levelInvertButton->setObjectName("m_levelInvertButton");

        hboxLayout2->addWidget(m_levelInvertButton);

        spacerItem2 = new QSpacerItem(40, 0, QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Minimum);

        hboxLayout2->addItem(spacerItem2);

        m_levelByGroupButton = new QPushButton(Level);
        m_levelByGroupButton->setObjectName("m_levelByGroupButton");

        hboxLayout2->addWidget(m_levelByGroupButton);


        verticalLayout_2->addLayout(hboxLayout2);

        m_clickngoGroup = new QGroupBox(Level);
        m_clickngoGroup->setObjectName("m_clickngoGroup");
        QSizePolicy sizePolicy1(QSizePolicy::Policy::Preferred, QSizePolicy::Policy::Minimum);
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(m_clickngoGroup->sizePolicy().hasHeightForWidth());
        m_clickngoGroup->setSizePolicy(sizePolicy1);
        horizontalLayout_4 = new QHBoxLayout(m_clickngoGroup);
        horizontalLayout_4->setObjectName("horizontalLayout_4");
        m_cngNoneCheck = new QRadioButton(m_clickngoGroup);
        m_cngNoneCheck->setObjectName("m_cngNoneCheck");
        m_cngNoneCheck->setChecked(true);

        horizontalLayout_4->addWidget(m_cngNoneCheck);

        m_cngColorCheck = new QRadioButton(m_clickngoGroup);
        m_cngColorCheck->setObjectName("m_cngColorCheck");

        horizontalLayout_4->addWidget(m_cngColorCheck);

        m_cngRGBCheck = new QRadioButton(m_clickngoGroup);
        m_cngRGBCheck->setObjectName("m_cngRGBCheck");

        horizontalLayout_4->addWidget(m_cngRGBCheck);

        m_cngCMYCheck = new QRadioButton(m_clickngoGroup);
        m_cngCMYCheck->setObjectName("m_cngCMYCheck");

        horizontalLayout_4->addWidget(m_cngCMYCheck);

        m_cngPresetCheck = new QRadioButton(m_clickngoGroup);
        m_cngPresetCheck->setObjectName("m_cngPresetCheck");

        horizontalLayout_4->addWidget(m_cngPresetCheck);


        verticalLayout_2->addWidget(m_clickngoGroup);

        m_monitorValuesCheck = new QCheckBox(Level);
        m_monitorValuesCheck->setObjectName("m_monitorValuesCheck");

        verticalLayout_2->addWidget(m_monitorValuesCheck);

        m_monitorResetControl = new QVBoxLayout();
        m_monitorResetControl->setObjectName("m_monitorResetControl");

        verticalLayout_2->addLayout(m_monitorResetControl);

        m_switchToLevelModeButton = new QPushButton(Level);
        m_switchToLevelModeButton->setObjectName("m_switchToLevelModeButton");

        verticalLayout_2->addWidget(m_switchToLevelModeButton);

        tabWidget->addTab(Level, QString());
        Playback = new QWidget();
        Playback->setObjectName("Playback");
        verticalLayout = new QVBoxLayout(Playback);
        verticalLayout->setObjectName("verticalLayout");
        m_playbackFunctionGroup = new QGroupBox(Playback);
        m_playbackFunctionGroup->setObjectName("m_playbackFunctionGroup");
        horizontalLayout = new QHBoxLayout(m_playbackFunctionGroup);
        horizontalLayout->setObjectName("horizontalLayout");
        m_playbackFunctionEdit = new QLineEdit(m_playbackFunctionGroup);
        m_playbackFunctionEdit->setObjectName("m_playbackFunctionEdit");
        m_playbackFunctionEdit->setReadOnly(true);

        horizontalLayout->addWidget(m_playbackFunctionEdit);

        m_attachPlaybackFunctionButton = new QToolButton(m_playbackFunctionGroup);
        m_attachPlaybackFunctionButton->setObjectName("m_attachPlaybackFunctionButton");
        m_attachPlaybackFunctionButton->setText(QString::fromUtf8("..."));
        QIcon icon2;
        icon2.addFile(QString::fromUtf8(":/attach.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_attachPlaybackFunctionButton->setIcon(icon2);
        m_attachPlaybackFunctionButton->setIconSize(QSize(32, 32));

        horizontalLayout->addWidget(m_attachPlaybackFunctionButton);

        m_detachPlaybackFunctionButton = new QToolButton(m_playbackFunctionGroup);
        m_detachPlaybackFunctionButton->setObjectName("m_detachPlaybackFunctionButton");
        m_detachPlaybackFunctionButton->setText(QString::fromUtf8("..."));
        QIcon icon3;
        icon3.addFile(QString::fromUtf8(":/detach.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_detachPlaybackFunctionButton->setIcon(icon3);
        m_detachPlaybackFunctionButton->setIconSize(QSize(32, 32));

        horizontalLayout->addWidget(m_detachPlaybackFunctionButton);


        verticalLayout->addWidget(m_playbackFunctionGroup);

        m_flashButtonCheck = new QCheckBox(Playback);
        m_flashButtonCheck->setObjectName("m_flashButtonCheck");

        verticalLayout->addWidget(m_flashButtonCheck);

        m_flashButtonLayout = new QVBoxLayout();
        m_flashButtonLayout->setObjectName("m_flashButtonLayout");

        verticalLayout->addLayout(m_flashButtonLayout);

        m_playbackSpacer = new QSpacerItem(20, 0, QSizePolicy::Policy::Minimum, QSizePolicy::Policy::Expanding);

        verticalLayout->addItem(m_playbackSpacer);

        m_switchToPlaybackModeButton = new QPushButton(Playback);
        m_switchToPlaybackModeButton->setObjectName("m_switchToPlaybackModeButton");

        verticalLayout->addWidget(m_switchToPlaybackModeButton);

        tabWidget->addTab(Playback, QString());
        tab = new QWidget();
        tab->setObjectName("tab");
        verticalLayout_3 = new QVBoxLayout(tab);
        verticalLayout_3->setObjectName("verticalLayout_3");
        m_submasterInfo = new QLabel(tab);
        m_submasterInfo->setObjectName("m_submasterInfo");
        m_submasterInfo->setAlignment(Qt::AlignCenter);

        verticalLayout_3->addWidget(m_submasterInfo);

        m_submasterSpacer = new QSpacerItem(20, 329, QSizePolicy::Policy::Minimum, QSizePolicy::Policy::Expanding);

        verticalLayout_3->addItem(m_submasterSpacer);

        m_switchToSubmasterModeButton = new QPushButton(tab);
        m_switchToSubmasterModeButton->setObjectName("m_switchToSubmasterModeButton");

        verticalLayout_3->addWidget(m_switchToSubmasterModeButton);

        tabWidget->addTab(tab, QString());

        vboxLayout->addWidget(tabWidget);

        m_buttonBox = new QDialogButtonBox(VCSliderProperties);
        m_buttonBox->setObjectName("m_buttonBox");
        m_buttonBox->setOrientation(Qt::Horizontal);
        m_buttonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        vboxLayout->addWidget(m_buttonBox);


        retranslateUi(VCSliderProperties);
        QObject::connect(m_buttonBox, &QDialogButtonBox::accepted, VCSliderProperties, qOverload<>(&QDialog::accept));
        QObject::connect(m_buttonBox, &QDialogButtonBox::rejected, VCSliderProperties, qOverload<>(&QDialog::reject));

        tabWidget->setCurrentIndex(0);


        QMetaObject::connectSlotsByName(VCSliderProperties);
    } // setupUi

    void retranslateUi(QDialog *VCSliderProperties)
    {
        VCSliderProperties->setWindowTitle(QCoreApplication::translate("VCSliderProperties", "Slider properties", nullptr));
#if QT_CONFIG(tooltip)
        tabWidget->setToolTip(QString());
#endif // QT_CONFIG(tooltip)
        groupBox->setTitle(QCoreApplication::translate("VCSliderProperties", "Widget appearance", nullptr));
        m_widgetSliderRadio->setText(QCoreApplication::translate("VCSliderProperties", "Slider", nullptr));
        m_widgetKnobRadio->setText(QCoreApplication::translate("VCSliderProperties", "Knob", nullptr));
        m_catchValueCheck->setText(QCoreApplication::translate("VCSliderProperties", "Catch up with the external controller input value", nullptr));
        m_nameLabel->setText(QCoreApplication::translate("VCSliderProperties", "Widget name", nullptr));
#if QT_CONFIG(tooltip)
        m_nameEdit->setToolTip(QCoreApplication::translate("VCSliderProperties", "Name of the slider", nullptr));
#endif // QT_CONFIG(tooltip)
        m_sliderMovementGroup->setTitle(QCoreApplication::translate("VCSliderProperties", "Slider movement", nullptr));
        m_sliderMovementNormalRadio->setText(QCoreApplication::translate("VCSliderProperties", "Normal", nullptr));
        m_sliderMovementInvertedRadio->setText(QCoreApplication::translate("VCSliderProperties", "Inverted", nullptr));
        m_valueGroup->setTitle(QCoreApplication::translate("VCSliderProperties", "Value display style", nullptr));
#if QT_CONFIG(tooltip)
        m_valueExactRadio->setToolTip(QCoreApplication::translate("VCSliderProperties", "Show exact DMX values", nullptr));
#endif // QT_CONFIG(tooltip)
        m_valueExactRadio->setText(QCoreApplication::translate("VCSliderProperties", "Actual", nullptr));
#if QT_CONFIG(tooltip)
        m_valuePercentageRadio->setToolTip(QCoreApplication::translate("VCSliderProperties", "Show value as percentage", nullptr));
#endif // QT_CONFIG(tooltip)
        m_valuePercentageRadio->setText(QCoreApplication::translate("VCSliderProperties", "Percentage", nullptr));
        tabWidget->setTabText(tabWidget->indexOf(General), QCoreApplication::translate("VCSliderProperties", "General", nullptr));
        m_levelValueRangeGroup->setTitle(QCoreApplication::translate("VCSliderProperties", "Value range", nullptr));
        m_levelLowLimitLabel->setText(QCoreApplication::translate("VCSliderProperties", "Low limit", nullptr));
#if QT_CONFIG(tooltip)
        m_levelLowLimitSpin->setToolTip(QCoreApplication::translate("VCSliderProperties", "Lowest DMX value that can be set with this slider", nullptr));
#endif // QT_CONFIG(tooltip)
        m_levelHighLimitLabel->setText(QCoreApplication::translate("VCSliderProperties", "High limit", nullptr));
#if QT_CONFIG(tooltip)
        m_levelHighLimitSpin->setToolTip(QCoreApplication::translate("VCSliderProperties", "Highest DMX value that can be set with this slider", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        m_levelCapabilityButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Set value range from the selected capability", nullptr));
#endif // QT_CONFIG(tooltip)
        m_levelCapabilityButton->setText(QCoreApplication::translate("VCSliderProperties", "From capability", nullptr));
        QTreeWidgetItem *___qtreewidgetitem = m_levelList->headerItem();
        ___qtreewidgetitem->setText(2, QCoreApplication::translate("VCSliderProperties", "Range", nullptr));
        ___qtreewidgetitem->setText(1, QCoreApplication::translate("VCSliderProperties", "Type", nullptr));
        ___qtreewidgetitem->setText(0, QCoreApplication::translate("VCSliderProperties", "Name", nullptr));
#if QT_CONFIG(tooltip)
        m_levelAllButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Select all channels", nullptr));
#endif // QT_CONFIG(tooltip)
        m_levelAllButton->setText(QCoreApplication::translate("VCSliderProperties", "All", nullptr));
#if QT_CONFIG(tooltip)
        m_levelNoneButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Unselect everything", nullptr));
#endif // QT_CONFIG(tooltip)
        m_levelNoneButton->setText(QCoreApplication::translate("VCSliderProperties", "None", nullptr));
#if QT_CONFIG(tooltip)
        m_levelInvertButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Invert selection", nullptr));
#endif // QT_CONFIG(tooltip)
        m_levelInvertButton->setText(QCoreApplication::translate("VCSliderProperties", "Invert", nullptr));
#if QT_CONFIG(tooltip)
        m_levelByGroupButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Choose channels by channel group", nullptr));
#endif // QT_CONFIG(tooltip)
        m_levelByGroupButton->setText(QCoreApplication::translate("VCSliderProperties", "By group...", nullptr));
        m_clickngoGroup->setTitle(QCoreApplication::translate("VCSliderProperties", "Click && Go", nullptr));
        m_cngNoneCheck->setText(QCoreApplication::translate("VCSliderProperties", "None", nullptr));
        m_cngColorCheck->setText(QCoreApplication::translate("VCSliderProperties", "Intensity", nullptr));
        m_cngRGBCheck->setText(QCoreApplication::translate("VCSliderProperties", "RGB", nullptr));
        m_cngCMYCheck->setText(QCoreApplication::translate("VCSliderProperties", "CMY", nullptr));
        m_cngPresetCheck->setText(QCoreApplication::translate("VCSliderProperties", "Gobo/Effect/Macro", nullptr));
        m_monitorValuesCheck->setText(QCoreApplication::translate("VCSliderProperties", "Monitor the selected channels and update the slider level", nullptr));
#if QT_CONFIG(tooltip)
        m_switchToLevelModeButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Make the slider control the level of a set of channels", nullptr));
#endif // QT_CONFIG(tooltip)
        m_switchToLevelModeButton->setText(QCoreApplication::translate("VCSliderProperties", "Switch to Level Mode", nullptr));
        tabWidget->setTabText(tabWidget->indexOf(Level), QCoreApplication::translate("VCSliderProperties", "Level", nullptr));
        m_playbackFunctionGroup->setTitle(QCoreApplication::translate("VCSliderProperties", "Function", nullptr));
#if QT_CONFIG(tooltip)
        m_playbackFunctionEdit->setToolTip(QCoreApplication::translate("VCSliderProperties", "Function that is attached to the slider", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        m_attachPlaybackFunctionButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Attach a function to the slider", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        m_detachPlaybackFunctionButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Detach the current function from the slider", nullptr));
#endif // QT_CONFIG(tooltip)
        m_flashButtonCheck->setText(QCoreApplication::translate("VCSliderProperties", "Flash Button", nullptr));
#if QT_CONFIG(tooltip)
        m_switchToPlaybackModeButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Make the slider control a function", nullptr));
#endif // QT_CONFIG(tooltip)
        m_switchToPlaybackModeButton->setText(QCoreApplication::translate("VCSliderProperties", "Switch to Playback Mode", nullptr));
        tabWidget->setTabText(tabWidget->indexOf(Playback), QCoreApplication::translate("VCSliderProperties", "Playback", nullptr));
        m_submasterInfo->setText(QCoreApplication::translate("VCSliderProperties", "Slider submaster mode is active", nullptr));
#if QT_CONFIG(tooltip)
        m_switchToSubmasterModeButton->setToolTip(QCoreApplication::translate("VCSliderProperties", "Make the slider act as a submaster", nullptr));
#endif // QT_CONFIG(tooltip)
        m_switchToSubmasterModeButton->setText(QCoreApplication::translate("VCSliderProperties", "Switch to Submaster Mode", nullptr));
        tabWidget->setTabText(tabWidget->indexOf(tab), QCoreApplication::translate("VCSliderProperties", "Submaster", nullptr));
    } // retranslateUi

};

namespace Ui {
    class VCSliderProperties: public Ui_VCSliderProperties {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_VCSLIDERPROPERTIES_H
